### Hierarchy

- SecureContextOptions
  - TlsOptions
  - ConnectionOptions

## Index

### Properties

- ca
- cert
- ciphers
- clientCertEngine
- crl
- dhparam
- ecdhCurve
- honorCipherOrder
- key
- maxVersion
- minVersion
- passphrase
- pfx
- secureOptions
- secureProtocol
- sessionIdContext

## Properties

### Optional ca

ca: string | Buffer | Array<string | Buffer>

- Defined in node_modules/@types/node/tls.d.ts:348

### Optional cert

cert: string | Buffer | Array<string | Buffer>

- Defined in node_modules/@types/node/tls.d.ts:347

### Optional ciphers

ciphers: undefined | string

- Defined in node_modules/@types/node/tls.d.ts:349

### Optional clientCertEngine

clientCertEngine: undefined | string

- Defined in node_modules/@types/node/tls.d.ts:352

### Optional crl

crl: string | Buffer | Array<string | Buffer>

- Defined in node_modules/@types/node/tls.d.ts:353

### Optional dhparam

dhparam: string | Buffer

- Defined in node_modules/@types/node/tls.d.ts:354

### Optional ecdhCurve

ecdhCurve: undefined | string

- Defined in node_modules/@types/node/tls.d.ts:351

### Optional honorCipherOrder

honorCipherOrder: undefined | false | true

- Defined in node_modules/@types/node/tls.d.ts:350

### Optional key

key: string | Buffer | Array<Buffer | Object>

- Defined in node_modules/@types/node/tls.d.ts:345

### Optional maxVersion

maxVersion: SecureVersion

- Defined in node_modules/@types/node/tls.d.ts:363

Optionally set the maximum TLS version to allow. One of `TLSv1.2'`, `'TLSv1.1'`, or `'TLSv1'`. Cannot be specified along with the `secureProtocol` option, use one or the other. Default: `'TLSv1.2'`.

### Optional minVersion

minVersion: SecureVersion

- Defined in node_modules/@types/node/tls.d.ts:373

Optionally set the minimum TLS version to allow. One of `TLSv1.2'`, `'TLSv1.1'`, or `'TLSv1'`. Cannot be specified along with the `secureProtocol` option, use one or the other. It is not recommended to use less than TLSv1.2, but it may be required for interoperability. Default: `'TLSv1.2'`, unless changed using CLI options. Using `--tls-v1.0` changes the default to `'TLSv1'`. Using `--tls-v1.1` changes the default to `'TLSv1.1'`.

### Optional passphrase

passphrase: undefined | string

- Defined in node_modules/@types/node/tls.d.ts:346

### Optional pfx

pfx: string | Buffer | Array<string | Buffer | Object>

- Defined in node_modules/@types/node/tls.d.ts:344

### Optional secureOptions

secureOptions: undefined | number

- Defined in node_modules/@types/node/tls.d.ts:355

### Optional secureProtocol

secureProtocol: undefined | string

- Defined in node_modules/@types/node/tls.d.ts:356

### Optional sessionIdContext

sessionIdContext: undefined | string

- Defined in node_modules/@types/node/tls.d.ts:357

Generated using TypeDoc